<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>HTML Forms</title>
</head>

<body>
    <h2 align="center">Welcome to the Forms page</h2>
    <main>
        <section>
            <h2>
                HTML Forms
            </h2>
            <p>
                HTML Forms are used to gather information/data from our user and send that information to a server
            </p>
        </section>
        <section>
            <!-- form tags allows to create a form. we can gather and send user input form our form. -->
            <!-- action attribute is used to define where the information gathered will be paster after submission -->
            <form action="https://google.com">
                <label for="fname">Full Name:</label>
                <br />
                <input type="text" name="fullname" id="fname" required autocomplete>
                <br />

                <label for="bday">Birthdate</label>
                <br />
                <input type="date" name="bdate" id="bday" required>
                <br />


                <label for="ageInput">Age</label>
                <br />
                <input type="number" name="age" min="18" max="40" id="ageInput" required>
                <br />

                <label for="genderInput">Gender</label>
                <br />
                <select name="gender" id="genderInput">
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                    <option value="other">Other</option>
                </select>
                <br />
                <label>New User?</label>
                <br />
                <input type="radio" name="new_user" id="radioUser1" value="yes">
                <label for="radioUser1">Yes</label>
                <br />
                <input type="radio" name="new_user" id="radioUser2" value="yes">
                <label for="radioUser2">No</label>
                <br />

                <label>Role:</label>
                <br />
                <input type="checkbox" name="role1" id="roleInput1" value="developer">
                <label for="roleInput1">Developer</label>
                <br />
                <input type="checkbox" name="role2" id="roleInput2" value="student">
                <label for="roleInput2">Student</label>
                <br />
                <input type="checkbox" name="role3" id="roleInput3" value="manager">
                <label for="roleInput3">Manager</label>
                <br />

                <br />
                <button type="submit">Submit</button>
            </form>
        </section>
    </main>
</body>

</html>